﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.SupportDialogs.FilterUIProvider;
using Infragistics.Win;
using System.Data.SqlClient;

namespace WingridGroupBy
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string myXMLfile = System.IO.Path.GetDirectoryName(System.Windows.Forms.Application.ExecutablePath) + "\\PersonalInfo.Xml";
            DataSet ds = new DataSet();

            ds.ReadXml(myXMLfile);
            ultraGrid1.DataSource = ds;
        
            this.ultraGrid1.DisplayLayout.Override.HeaderPlacement = HeaderPlacement.FixedOnTop;
            this.ultraGrid1.DisplayLayout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;


            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("City", false, true);
            this.ultraGrid1.Rows.ExpandAll(true);

            ultraGrid1.DisplayLayout.Bands[0].Columns["LName"].AllowRowFiltering = DefaultableBoolean.True;

        }
    }
}
